<?php

if (self::$db_alter->fetch_table_info('dbtech_vbmail_mailinglist'))
{
	self::$db_alter->add_field(array(
		'name'       => 'instantsend',
		'type'       => 'tinyint',
		'length'     => '1',
		'attributes' => 'unsigned',
		'null'       => false,	// True = NULL, false = NOT NULL
		'default'    => '0'
	));
	self::$db_alter->add_field(array(
		'name'       => 'mailperpage',
		'type'       => 'int',
		'length'     => '10',
		'attributes' => 'unsigned',
		'null'       => false,	// True = NULL, false = NOT NULL
		'default'    => '500'
	));
	self::report('Altered Table', 'dbtech_vbmail_mailinglist');
}

if (class_exists('VBMAIL_CACHE'))
{
	// Rebuild the cache
	VBMAIL_CACHE::buildAll();
}
?>